Page MenuHomePhabricator

Rotate x axis labels to improve legibility of charts
ClosedPublic

Authored by fdans on Sep 14 2017, 3:32 PM.

Details

Maniphest Tasks
T173372: Use daily granularity for 1-month time ranges
Reviewers
Milimetric
Commits
rWIKISTATS623492721d36: Rotate x axis labels to improve legibility of charts
Patch without arc
git checkout -b D781 && curl -L https://phabricator.wikimedia.org/D781?download=true | git apply
Summary

Ref T173372

Diff Detail

Repository
rWIKISTATS analytics-wikistats-new
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

fdans created this revision.Sep 14 2017, 3:32 PM
fdans updated this revision to Diff 2061.Sep 14 2017, 3:56 PM
fdans removed a subscriber: jenkins.
  • applies same change to line graph
fdans updated this revision to Diff 2073.Sep 15 2017, 1:58 PM
  • adds margin
Milimetric accepted this revision.Sep 16 2017, 11:18 PM

Funny enough, both this and D787 were needed to make the fixed width change work. But I think it's just 'cause of the svg.attr('width'). So I'll accept both and move to review. Now there's still a slightly annoying thing that the height is changing based on the labeling, so the time selector controls jump around a bit. This is minor, we can figure something out later.

This revision is now accepted and ready to land.Sep 16 2017, 11:18 PM
This revision was automatically updated to reflect the committed changes.